Package org.springframework.cglib.core

# Interface ClassGenerator

All Known Implementing Classes:
  `AbstractClassGenerator`, `BeanCopier.Generator`, `BeanGenerator`, `BeanMap.Generator`, `BulkBean.Generator`, `ClassReaderGenerator`, `ConstructorDelegate.Generator`, `Enhancer`, `FastClass.Generator`, `ImmutableBean.Generator`, `InterfaceMaker`, `KeyFactory.Generator`, `MethodDelegate.Generator`, `Mixin.Generator`, `MulticastDelegate.Generator`, `ParallelSorter.Generator`, `StringSwitcher.Generator`, `TransformingClassGenerator`

public interface ClassGenerator

## Method Summary

Modifier and Type
Method
Description
`void`
`generateClass(ClassVisitor v)`

## Method Details

### generateClass

void generateClass(ClassVisitor v) throws Exception

Throws:
  `Exception`